🔌 API Documentation

REST API for institutions to automate asset submission and status checking

GET /api/asset/:id

Get asset status by ID

{
  "id": "UNGT-001",
  "institution": "State Bank of Empire",
  "status": "Active",
  "term": "25 years",
  "value": 1250000000,
  "ungtAmount": 12500000,
  "ipfsUrl": "https://gateway.pinata.cloud/ipfs/Qm...",
  "submittedAt": "2024-12-15T00:00:00Z",
  "decidedAt": "2024-12-20T00:00:00Z"
}
GET /api/institution/:wallet

Get all assets for an institution by wallet address

{
  "wallet": "GD7BH3LZ1JNyn5Nb5w4C4b2iR6FTW5dd6aN4vczwQdkD",
  "institutionName": "State Bank of Empire",
  "assets": [
    {
      "id": "UNGT-001",
      "status": "Active",
      "term": "25 years",
      "value": 1250000000
    }
  ]
}
POST /api/submit

Submit new asset for audit (requires API key)

// Request
{
  "institutionWallet": "GD7BH3LZ1JNyn5Nb5w4C4b2iR6FTW5dd6aN4vczwQdkD",
  "assetName": "Gold Reserves",
  "valuation": 1250000000,
  "documentCid": "QmExample123..."
}

// Response
{
  "assetId": "UNGT-101",
  "status": "Audit requested",
  "message": "Asset submitted successfully. Awaiting plenipotentiary review."
}
GET /api/stats

Get global statistics

{
  "totalAssets": 8,
  "totalValueLocked": 8920000000,
  "activeAssets": 5,
  "forcedAssets": 2,
  "pendingAssets": 1,
  "lastUpdated": "2025-01-25T10:00:00Z"
}

Authentication

For POST requests, include your API key in the header:

X-API-Key: your_api_key_here

To obtain an API key, please contact the Plenipotentiary after institution registration.

Base URL: https://api.ungt.io/v1 (coming soon)